Subject: [Megaco] (no subject)

From: "kumaraswamy Uppu" <[email-masked]>
Date: 9 Feb 2004 13:10:04 -0000

Hi All,
  I have a query about BER encoding of serviceChangeReason Parameter. As per rfc 3525 , this string is first BER-encoded as an IA5String.
The result of this BER-encoding is then encoded as an ASN.1 OCTET STRING type.
  This is the encoded buffer for this Parameter.
  04 0F 16 0D 39 30 31 20  43 6F 6C 64 20 42 6F 6F 74 
  First I encoded it as IA5 string (16 0D 39 30 31 20  43 6F 6C 64 20 42 6F 6F 74) and then the result I encoded it as OctetString.
  When I tried to decode with Hammer Call Anaylzer its not decoding  serviceChangeReason properly.

Here Is the capture this packet.

---- UDP ----
   ---- UDP header ----
      0B-81 = B81h [2945d] source port
      0B-81 = B81h [2945d] destination port
      00-7D = 7Dh [125d] length: octets include header (not less than 8)
      E4-9B = E49Bh [58523d] checksum: checksum is correct
   ---- UDP datagram ----
---- H.248 ----
   {1010 0000}= A0h [160d]  tag: 0x00 [000]
   ---- Message ----
      ---- version ----
         {0000 0001}= 01h [001d] version
      ---- MId ----
         ---- IP4Address ----
            ---- address ----
               address: 192.168.5.8
      ---- Transactions ----
         ---- TransactionRequest ----
            ---- TransactionID ----
               {0110 0101}= 65h [101d] transactionID
            ---- actions ----
               ---- ActionRequest ----
                  ---- ContextID ----
                     {0000 0000}= 00h [000d] contextID
                  ---- commandsRequest ----
                     ---- CommandRequest ----
                        ---- Command ----
                           ---- serviceChangeRequest ----
                              ---- TerminationIDList ----
                                 ---- TerminationID ----
                                    ---- wildcard ----
                                       ---- WildcardField ----
                                       ---- WildcardField ----
                                          wildcardField: FF-FF-FF-FF-FF-FF-FF-FF- 00
                              ---- ServiceChangeParm ----
                                 ---- ServiceChangeMethod ----
                                    {0000 0011}= 03h [003d] ServiceChangeMethodrestart
                                 ---- ServiceChangeVersion ----
                                    {0000 0001}= 01h [001d] ServiceChangeVersion
                                 ---- Value ----
                                    value: 16-0D-39-30-31-20-43-6F- 6C-64-20-42-6F-6F-74

  Is it correct ? 
  Can any one help me in this.

Thanks,
Kumar